import { EventEmitter } from "@angular/core";
import { LogisticalStateDetail } from "@colijnit/transactionapi/build/model/logistical-state-detail.bo";
export declare class TransactionReceivingGoodsHistoryComponent {
    set goodsReceiptHistory(value: LogisticalStateDetail[]);
    get goodsReceiptHistory(): LogisticalStateDetail[];
    deleteRow: EventEmitter<LogisticalStateDetail>;
    showClass(): boolean;
    private _goodsReceiptHistory;
}
